Bug 178503 - Allow adding sources/javadoc from the Libraries node
Allow adding sources/javadoc from the Libraries node
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Project
6.x
All All
: P3 (vote)
: 7.0.1
Assigned To: Tomas Zezula
issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-11 12:46 UTC by Petr Jiricka
Modified: 2011-05-19 12:34 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2009-12-11 12:46:02 UTC
When you have a Java SE/EE/ME project with a library, this library is visible in the Projects view under the Libraries node. It would be useful if it was possible to directly specify sources or Javadoc for this library without needing to go to project properties. I.e. have menu items "Add Sources..." and "Add Javadoc..." on the library node, that would act as shortcuts for Libraries node -> Properties -> select library in the list -> Edit -> specify sources/javadoc. 
Petr H says that in Eclipse, it works this way.
Comment 1 Tomas Zezula 2009-12-11 13:33:17 UTC
Sounds reasonable. Not sure if it's for 6.9 as there are no plans yet.
Comment 2 Tomas Zezula 2011-04-29 08:34:39 UTC
Fixed jet-main a223e37d97bc, 1e5396c80b64, 310c732fe4cc


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo